package com.ruoyi.approvalFlow.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审批流配置明细级别对象 audit_paths_levels
 *
 * @author ruoyi
 * @date 2021-01-21
 */
public class AuditPathsLevels extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 审批路径id
     */
    @Excel(name = "审批路径id")
    private Long pathId;

    /**
     * 审批级次
     */
    @Excel(name = "审批级次")
    private Long levelId;

    /**
     * 审批级次名称
     */
    @Excel(name = "审批级次名称")
    private String levelName;

    /**
     * 审核人
     */
    @Excel(name = "审核人")
    private String auditUserId;

    /**
     * 是否指定审批人
     */
    @Excel(name = "是否指定审批人")
    private String iffixAuditUser;

    /**
     * 是否是最后一级审核（T是 F不是）
     */
    @Excel(name = "是否是最后一级审核", readConverterExp = "T=是,F=不是")
    private String iffinalItem;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPathId(Long pathId) {
        this.pathId = pathId;
    }

    public Long getPathId() {
        return pathId;
    }

    public void setLevelId(Long levelId) {
        this.levelId = levelId;
    }

    public Long getLevelId() {
        return levelId;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setAuditUserId(String auditUserId) {
        this.auditUserId = auditUserId;
    }

    public String getAuditUserId() {
        return auditUserId;
    }

    public void setIffixAuditUser(String iffixAuditUser) {
        this.iffixAuditUser = iffixAuditUser;
    }

    public String getIffixAuditUser() {
        return iffixAuditUser;
    }

    public void setIffinalItem(String iffinalItem) {
        this.iffinalItem = iffinalItem;
    }

    public String getIffinalItem() {
        return iffinalItem;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pathId", getPathId())
                .append("levelId", getLevelId())
                .append("levelName", getLevelName())
                .append("auditUserId", getAuditUserId())
                .append("iffixAuditUser", getIffixAuditUser())
                .append("iffinalItem", getIffinalItem())
                .append("remarks", getRemarks())
                .toString();
    }
}
